X
28

How to configure ArcGIS 3.3 to work with ENVI 6.0

This article provides hints to configure ArcGIS 3.3 to work with ENVI 6.0.

There are two separate mechanisms to make ENVI and ArcGIS work together. One is envipy which allows ArcGIS to run ENVI tasks. The other is part of ENVI itself, and enables interoperability between the two applications, such as sending data to ArcGIS, linking the two applications ...

1. In order to run ENVI tasks from ArcGIS 3.3, it is now mandatory to install ENVI Py 1.7, which is available on our dowload page

https://portal.nv5geospatialsoftware.com

2. In order to enable interoperability between ENVI and ArcGIS, the following workaround is required:

      2.1. Go to C:\ProgramData\EsriProCommon\

      2.2. Copy the three RegisterAddIn* files found in this directory to the following location: C:\Program Files\ArcGIS\Pro\bin\

 

 

----------------------------------

created by BC on 07/05/2024

reviewed by MM on 07/05/2024